> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cccambox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Line

> Update line's info.



## OpenAPI

````yaml /openapi.json put /v1/lines
openapi: 3.1.0
info:
  version: 1.0.0
  title: CCCAMBOX Reseller API
  description: >-
    CCCambox Reseller API provides programmatic access to manage IPTV
    subscriptions and line management. Use this API to automate operations like
    creating new lines, managing packages, handling credits. Includes endpoints
    for subscriber management, package configuration, and line monitoring. Built
    for resellers to efficiently scale their IPTV business operations.
servers: []
security: []
paths:
  /v1/lines:
    put:
      tags:
        - Line Management
      summary: Update Line
      description: Update line's info.
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                      description: >-
                        The ID of the line. Either the ID or the username is
                        required to run this request.
                    username:
                      type: string
                      description: The username of the line.
                - type: object
                  properties:
                    new_username:
                      anyOf:
                        - type: string
                        - type: boolean
                      minLength: 12
                      maxLength: 30
                      description: >-
                        The new username of the line. Must be RFC 3986
                        compliant. If the value is true, a random username will
                        be generated.
                    password:
                      anyOf:
                        - type: string
                        - type: boolean
                      minLength: 14
                      maxLength: 30
                      description: >-
                        The new password of the line. Must be RFC 3986
                        compliant. If the value is true, a random password will
                        be generated.
                    label:
                      type: string
                      maxLength: 30
                      example: My TV Line
                      description: The new label of the line.
                    new_macaddress:
                      anyOf:
                        - type: string
                        - type: boolean
                      example: 67:21:4C:24:76:97
                      description: >-
                        The new MAC address to assign to the line. To remove the
                        assigned macaddress, set false
                    parental_code:
                      anyOf:
                        - type: string
                        - type: boolean
                      example: '0000'
                      maxLength: 4
                      minLength: 4
                      description: >-
                        The new parental code of the MAG access. Should be 4
                        digits. Set false to remove parental code
                    bouquets:
                      anyOf:
                        - type: array
                          items:
                            type: number
                        - type: boolean
                      example:
                        - 1
                        - 2
                        - 3
                      description: >-
                        The new IDs of the bouquets to link on creation of the
                        line. To remove bouquets, set empty array or false
                    enabled:
                      type: boolean
                      description: Specifies whether the line should be active or not.
                - type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                      description: >-
                        The ID of the line. Either the ID or the username or the
                        MAC address is required to run this request.
                    username:
                      type: string
                      description: The username of the line.
                    macaddress:
                      type: string
                      description: MAC address of the line.
      responses:
        '200':
          description: 'Ok: Line updated'
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  hostname:
                    type:
                      - string
                      - 'null'
                  username:
                    type: string
                  password:
                    type: string
                  label:
                    type: string
                  enabled:
                    type: boolean
                  connections:
                    type: number
                  is_trial:
                    type: boolean
                  exp_date:
                    type:
                      - string
                      - 'null'
                    format: date-time
                    example: '2026-05-15T15:13:02.991Z'
                    description: Date of expiration of the line.
                  start_date:
                    type:
                      - string
                      - 'null'
                    format: date-time
                    example: '2026-05-15T15:13:02.992Z'
                    description: >-
                      Starting date of the line (Creation date or Extension date
                      if the line has been extended).
                  created_at:
                    type:
                      - string
                      - 'null'
                    format: date-time
                    example: '2026-05-15T15:13:02.992Z'
                    description: Initial creation date of the line.
                  macaddress:
                    type:
                      - string
                      - 'null'
                  parental_code:
                    type:
                      - string
                      - 'null'
                required:
                  - id
                  - hostname
                  - username
                  - password
                  - label
                  - enabled
                  - connections
                  - is_trial
                  - exp_date
                  - start_date
                  - created_at
                  - macaddress
                  - parental_code
        '400':
          description: 'Bad Request: Errors in supplied parameters.'
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - request_errors
                  message:
                    type: string
                    example: Request error occurred.
                  data:
                    type: object
                    properties:
                      errors:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                            message:
                              type: string
                            path:
                              type: array
                              items:
                                type: string
                          required:
                            - code
                            - message
                            - path
                    required:
                      - errors
                required:
                  - code
                  - message
                  - data
        '401':
          description: 'Auth Error: Not authorized.'
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - not_authorized
                  message:
                    type: string
                    example: Not authorized to perform this action.
                required:
                  - code
                  - message
        '404':
          description: 'Line Not Found: The line you''re looking for could not be found.'
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - line_not_found
                  message:
                    type: string
                    example: Line not found.
                required:
                  - code
                  - message
        '409':
          description: A line with this mac address or this username already exist
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - username_already_exist
                      - macaddress_already_exist
                  message:
                    type: string
                    example: Username already exists.
                required:
                  - code
                  - message
        '429':
          description: 'Rate limit error: too many requests.'
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - rate_limit
                  message:
                    type: string
                    example: Rate limit exceeded.
                required:
                  - code
                  - message
        '500':
          description: 'Server Error: handler died.'
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - server_error
                  message:
                    type: string
                    example: Internal server error occurred.
                  requestId:
                    type: string
                required:
                  - code
                  - message
                  - requestId
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: API Key
      name: x-api-key
      in: header

````